#### 3.25.28 historysize

Note: the command historysize is only available when gnuplot has been configured to use the GNU readline library.

Syntax:

          set historysize <int>
          unset historysize

When leaving gnuplot, the value of historysize is used for truncating the history to at most that much lines. The default is 500. historysize will disable history truncation and thus allow an infinite number of lines to be written to the history file.